<?php
if(preg_match('#' . basename(__FILE__) . '#', $_SERVER['PHP_SELF'])) { die('You are not allowed to call this page directly.'); }

/*
 * Register necessary admin menus here
 * wpv-allow-author-vote added in v1.2
 * @since 1.0
 */
if(!function_exists('wpv_admin_voting_list')){
    function wpv_admin_voting_list(){
        add_menu_page('Voting', 'Voting', 'administrator', 'wpv-admin-voting-logs','wpv_admin_voting_logs');
        add_submenu_page('wpv-admin-voting-logs', 'Voting Options', 'Voting Options', 'administrator', 'wpv-admin-voting-options', 'wpv_admin_voting_options');
        register_setting('wpv_admin_voting_form_options', 'wpv-voting-onoff', '');
        register_setting('wpv_admin_voting_form_options', 'wpv-allow-author-vote', '');
        register_setting('wpv_admin_voting_form_options', 'wpv-voting-alert-msg', '');
    }
}

/*
 * Admin voting logs menu
 * @since 1.0
 */
if(!function_exists('wpv_admin_voting_logs')){
    function wpv_admin_voting_logs(){
    ?>
    <div class="wrap">
        <h2><?php _e('Voting Logs'); ?></h2>
        <?php
            if(current_user_can('manage_options')){
                wpv_list_admin_vote_logs();
            }
        ?>
    </div>
    <?php
    }
}


/*
 * Admin voting options
 * wpv-allow-author-vote added in v1.2
 * @since 1.0
 */
if(!function_exists('wpv_admin_voting_options')){
    function wpv_admin_voting_options(){
    ?>
    <div class="wrap">
        <h2><?php _e('Voting Options'); ?></h2>
        <form method="post" action="options.php" id="wpv-admin-voting-options">
            <?php 
                $onoff = get_option('wpv-voting-onoff');
                $allow_author_vote = get_option('wpv-allow-author-vote');
            ?>
            <table class="form-table">
                <tr valign="top">
                    <th scope="row">Voting feature On/Off</th>
                    <td>
                        <input type="radio" name="wpv-voting-onoff" value="On" <?php if($onoff == 'On') echo 'checked="checked"'; ?> /> On
                        <input type="radio" name="wpv-voting-onoff" value="Off" <?php if($onoff == 'Off') echo 'checked="checked"'; ?> /> Off
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">Allow post author to vote his own posts</th>
                    <td>
                        <input type="radio" name="wpv-allow-author-vote" value="Yes" <?php if($allow_author_vote == 'Yes') echo 'checked="checked"'; ?> /> Yes
                        <input type="radio" name="wpv-allow-author-vote" value="No" <?php if($allow_author_vote == 'No') echo 'checked="checked"'; ?> /> No
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row">Alert message for non logged in users</th>
                    <td>
                        <textarea cols="60" rows="7" name="wpv-voting-alert-msg"><?php echo get_option('wpv-voting-alert-msg'); ?></textarea><br />
                    </td>
                </tr>
            </table>
            <br /><br />
            <?php settings_fields('wpv_admin_voting_form_options'); ?>
            <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
        </form>
    </div>
    <?php
    }
}
?>
